Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging
Class LoggingHelper

    java.lang.Object
      weblogic.logging.LoggingHelper

    public final class LoggingHelper

extends Object

This class provides utility methods to use the WebLogic Logging. Provides access to the JDK 1.4 Logger that WebLogic Logging uses.

Constructor Summary
`LoggingHelper()`

Method Summary
`static Logger` | `getClientLogger()` Gets the Logger object used for client side logging.
`static Logger` | `getDomainLogger()` Gets the logger used for logging to the domain level log.
`static Logger` | `getServerLogger()` Gets the Logger object used for server side logging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingHelper

    public LoggingHelper()

Method Detail

### getServerLogger

    public static Logger getServerLogger()

  Gets the Logger object used for server side logging.

  Returns:
    The Logger used by catalog as well as non catalog based logging when running on the Server otherwise a null reference.

### getClientLogger

    public static Logger getClientLogger()

  Gets the Logger object used for client side logging.

  Returns:
    The Logger used by catalog as well as non catalog based logging on the client side or null when running on the server.

### getDomainLogger

    public static Logger getDomainLogger()
                                  throws LoggerNotAvailableException

  Gets the logger used for logging to the domain level log. This method returns a valid Logger object when invoked in the JVM running the Admin Server for the domain.

  Returns:
    The Logger used for domain logging or `null` if this method is called on a managed server process.
  Throws:
    `LoggerNotAvailableException` - When this method is invoked in a process that is not running the admin server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD